include "basics/pts.ma".
include "relations.ma".
axiom nat : Type[0].
axiom S : nat -> nat.
axiom le : nat -> nat -> Prop.
axiom le_S : \forall (n:nat). \forall (m:nat). ((le)  n m) -> (le)  n ((S)  m).
axiom le_ind : \forall (n:nat). \forall (Q:nat -> Prop). (Q n) -> (\forall (m:nat). ((le)  n m) -> (Q m) -> Q ((S)  m)) -> \forall (m:nat). ((le)  n m) -> Q m.
definition lt : nat -> nat -> Prop := \lambda n : nat. \lambda m : nat. (le)  ((S)  n) m.
definition transitive_lt : (transitive) (nat) (lt)  := \lambda a : nat. \lambda b : nat. \lambda c : nat. \lambda ltab : (lt)  a b. (\lambda ltbc : (lt)  b c. (((((((le_ind) ((S)  b)) (\lambda x_417 : nat. (lt)  a x_417)) ((((le_S) ((S)  a)) (b)) (ltab))) (\lambda m : nat. \lambda j_x_419 : (le)  ((S)  b) m. (\lambda j_x_421 : (lt)  a m. ((((le_S) ((S)  a)) (m)) (j_x_421))))) (c)) (ltbc))).
